Index: uspace/lib/fs/libfs.c
===================================================================
--- uspace/lib/fs/libfs.c	(revision 6fb8b2c38282012b1154d0e8fa18bbd84a81caec)
+++ uspace/lib/fs/libfs.c	(revision a53ed3a8097360ccf174e8d94fb407db919eb66a)
@@ -84,5 +84,5 @@
 {
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
-	int rc;
+	errno_t rc;
 	vfs_fs_probe_info_t info;
 	
@@ -112,5 +112,5 @@
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
 	char *opts;
-	int rc;
+	errno_t rc;
 	
 	/* Accept the mount options. */
@@ -136,5 +136,5 @@
 {
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
-	int rc; 
+	errno_t rc; 
 
 	rc = vfs_out_ops->unmounted(service_id);
@@ -160,5 +160,5 @@
 	    IPC_GET_ARG4(*req));
 	size_t rbytes;
-	int rc;
+	errno_t rc;
 
 	rc = vfs_out_ops->read(service_id, index, pos, &rbytes);
@@ -178,5 +178,5 @@
 	size_t wbytes;
 	aoff64_t nsize;
-	int rc;
+	errno_t rc;
 
 	rc = vfs_out_ops->write(service_id, index, pos, &wbytes, &nsize);
@@ -195,5 +195,5 @@
 	aoff64_t size = (aoff64_t) MERGE_LOUP32(IPC_GET_ARG3(*req),
 	    IPC_GET_ARG4(*req));
-	int rc;
+	errno_t rc;
 
 	rc = vfs_out_ops->truncate(service_id, index, size);
@@ -206,5 +206,5 @@
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*req);
-	int rc;
+	errno_t rc;
 
 	rc = vfs_out_ops->close(service_id, index);
@@ -218,5 +218,5 @@
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*req);
 
-	int rc;
+	errno_t rc;
 	fs_node_t *node = NULL;
 	rc = libfs_ops->node_get(&node, service_id, index);
@@ -244,5 +244,5 @@
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*req);
-	int rc;
+	errno_t rc;
 
 	rc = vfs_out_ops->sync(service_id, index);
@@ -260,5 +260,5 @@
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*req);
-	int rc;
+	errno_t rc;
 
 	fs_node_t *node = NULL;
@@ -364,5 +364,5 @@
  *
  */
-int fs_register(async_sess_t *sess, vfs_info_t *info, vfs_out_ops_t *vops,
+errno_t fs_register(async_sess_t *sess, vfs_info_t *info, vfs_out_ops_t *vops,
     libfs_ops_t *lops)
 {
@@ -381,5 +381,5 @@
 	 * Send our VFS info structure to VFS.
 	 */
-	int rc = async_data_write_start(exch, info, sizeof(*info));
+	errno_t rc = async_data_write_start(exch, info, sizeof(*info));
 	
 	if (rc != EOK) {
@@ -446,5 +446,5 @@
 }
 
-static int plb_get_component(char *dest, unsigned *sz, unsigned *ppos,
+static errno_t plb_get_component(char *dest, unsigned *sz, unsigned *ppos,
     unsigned last)
 {
@@ -476,5 +476,5 @@
 }
 
-static int receive_fname(char *buffer)
+static errno_t receive_fname(char *buffer)
 {
 	size_t size;
@@ -500,5 +500,5 @@
 	
 	char component[NAME_MAX + 1];
-	int rc = receive_fname(component);
+	errno_t rc = receive_fname(component);
 	if (rc != EOK) {
 		async_answer_0(rid, rc);
@@ -555,5 +555,5 @@
 	
 	char component[NAME_MAX + 1];
-	int rc;
+	errno_t rc;
 	
 	fs_node_t *par = NULL;
@@ -727,5 +727,5 @@
 
 	fs_node_t *fn;
-	int rc = ops->node_get(&fn, service_id, index);
+	errno_t rc = ops->node_get(&fn, service_id, index);
 	on_error(rc, answer_and_return(rid, rc));
 
@@ -766,5 +766,5 @@
 
 	fs_node_t *fn;
-	int rc = ops->node_get(&fn, service_id, index);
+	errno_t rc = ops->node_get(&fn, service_id, index);
 	on_error(rc, answer_and_return(rid, rc));
 
@@ -826,5 +826,5 @@
 	
 	fs_node_t *fn;
-	int rc = ops->node_get(&fn, service_id, index);
+	errno_t rc = ops->node_get(&fn, service_id, index);
 	on_error(rc, answer_and_return(rid, rc));
 	
@@ -853,5 +853,5 @@
 } fs_instance_t;
 
-int fs_instance_create(service_id_t service_id, void *data)
+errno_t fs_instance_create(service_id_t service_id, void *data)
 {
 	fs_instance_t *inst = malloc(sizeof(fs_instance_t));
@@ -884,5 +884,5 @@
 }
 
-int fs_instance_get(service_id_t service_id, void **idp)
+errno_t fs_instance_get(service_id_t service_id, void **idp)
 {
 	fibril_mutex_lock(&instances_mutex);
@@ -898,5 +898,5 @@
 }
 
-int fs_instance_destroy(service_id_t service_id)
+errno_t fs_instance_destroy(service_id_t service_id)
 {
 	fibril_mutex_lock(&instances_mutex);
